Bug Hunting Session
Bug 122646 - FILEOPEN: EMF+ Wrong line width
Summary: FILEOPEN: EMF+ Wrong line width
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2019-01-10 22:47 UTC by Bartosz
Modified: 2019-01-14 10:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
EMF+ file with lines with wrongly displayed under LibreOffice (16.62 KB, image/emf)
2019-01-10 22:48 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2019-01-10 22:47:35 UTC
Description:
The EMF+ line width is not set correctly. 

Steps to Reproduce:
1. Open attached EMF+ file
2. Compare it with file generated by MS Word


Actual Results:
The lines width are different

Expected Results:
The lines width are the same


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Bartosz 2019-01-10 22:48:24 UTC
Created attachment 148230 [details]
EMF+ file with lines with wrongly displayed under LibreOffice
Comment 2 Commit Notification 2019-01-11 14:46:28 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1a8b2c1b18b1fdf1bc598ad8c2556fa0e4183606%5E%21

tdf#122646 EMF+ Implement proper line width display

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.